<template>
  <div>
    <fieldset name="timeformat">
      <legend>{{ t("time format") }}</legend>
      <RadioBoxedLabel
          :labelleft="{ for: 'timeformat12', text: t('12-hour') }"
          :labelright="{ for: 'timeformat24', text: t('24-hour') }"
          :selected="currentSettings.hour12 === 'true' ? 'left' : 'right'"
          :hideinput="false"
      >
        <input
            slot="input-left"
            type="radio"
            id="timeformat12"
            name="hour12"
            value="true"
            :checked="currentSettings.hour12 === 'true'"
        />
        <input
            slot="input-right"
            type="radio"
            id="timeformat24"
            name="hour12"
            value="false"
            :checked="currentSettings.hour12 === 'false'"
        />
      </RadioBoxedLabel>
    </fieldset>

    <fieldset>
      <legend>{{ t("display mode") }}</legend>
      <RadioBoxedLabel
          :labelleft="{ for: 'displaymode_timeframe', text: t('time period') }"
          :labelright="{ for: 'displaymode_amount', text: t('event count') }"
          :selected="currentSettings.displaymode === 'timeframe' ? 'left' : 'right'"
          :hideinput="false"
      >
        <input
            slot="input-left"
            type="radio"
            id="displaymode_timeframe"
            name="displaymode"
            value="timeframe"
            :checked="currentSettings.displaymode === 'timeframe'"
        />
        <input
            slot="input-right"
            type="radio"
            id="displaymode_amount"
            name="displaymode"
            value="amount"
            :checked="currentSettings.displaymode === 'amount'"
        />
      </RadioBoxedLabel>

      <div v-show="currentSettings.displaymode === 'timeframe'">
        <label for="daysAhead">{{
            t("Choose a time period to display")
          }}</label>
        <select name="daysAhead" id="daysAhead">
          <option
              v-for="(option, val) in options.daysAhead"
              :key="val"
              :value="val"
              :selected="currentSettings.daysAhead === val"
          >{{ t(option) }}
          </option
          >
        </select>
      </div>

      <div v-show="currentSettings.displaymode === 'amount'">
        <TextInputFloatingLabel
            for="eventAmount"
            :text="t('Amount of events to display')"
        >
          <input
              name="eventAmount"
              id="eventAmount"
              type="number"
              min="1"
              max="50"
              :value="currentSettings.eventAmount"
              :placeholder="t('any number from 1-20')"
          />
        </TextInputFloatingLabel>
      </div>

      <CheckboxBorderedLabel for="showLocation" :text="t('show location')">
        <input
            type="checkbox"
            id="showLocation"
            name="showLocation"
            :checked="currentSettings.showLocation"
        />
      </CheckboxBorderedLabel>
      <CheckboxBorderedLabel
          for="showCurrentEvents"
          :text="t('show ongoing events')"
      >
        <input
            type="checkbox"
            id="showCurrentEvents"
            name="showCurrentEvents"
            :checked="currentSettings.showCurrentEvents"
        />
      </CheckboxBorderedLabel>
    </fieldset>
  </div>
</template>

<script>
module.exports = {
  name: "calendar-event-list",
  props: {
    currentSettings: {
      type: Object,
      required: true
    }
  },
  data: function () {
    return {
      options: {
        daysAhead: {
          0: "today",
          5: "the next five days",
          28: "the next four weeks"
        }
      }
    };
  },
  locales: {
    deDe: {
      "time format": "Uhrzeitformat",
      "12-hour": "12 Stunden",
      "24-hour": "24 Stunden",
      "display mode": "Anzeigemodus",
      "time period": "Zeitraum",
      "event count": "Anzahl Termine",
      "Choose a time period to display": "Wähle einen Zeitraum zur Anzeige",
      "Amount of events to display": "Anzahl angezeigter Termine",
      "any number from 1-20": "Beliebige Zahl zwischen 1-20",
      today: "Heute",
      "the next five days": "die nächsten fünf Tage",
      "the next four weeks": "die nächsten vier Wochen",
      "show location": "Ort anzeigen",
      "show ongoing events": "Laufende Termine anzeigen"
    },
    frFr: {
      "time format": "format de l'heure",
      "12-hour": "12 heures",
      "24-hour": "24 heures",
      "display mode": "mode d'affichage",
      "time period": "période de temps",
      "event count": "nombre d'événements",
      "Choose a time period to display": "Choisissez une période à afficher",
      "Amount of events to display": "Nombre d'événements à afficher",
      "any number from 1-20": "un nombre quelconque de 1 à 20",
      today: "aujourd'hui",
      "the next five days": "les cinq prochains jours",
      "the next four weeks": "les quatre prochaines semaines",
      "show location": "montrer l'emplacement",
      "show ongoing events": "afficher les dates d'exécution"
    },
    esEs: {
      "time format": "formato de tiempo",
      "12-hour": "12 horas",
      "24-hour": "24 horas",
      "display mode": "modo de visualización",
      "time period": "periodo de tiempo",
      "event count": "recuento de eventos",
      "Choose a time period to display":
          "Elija un período de tiempo para mostrar",
      "Amount of events to display": "Cantidad de eventos para mostrar",
      "any number from 1-20": "cualquier numero del 1-20",
      today: "hoy",
      "the next five days": "los próximos cinco días",
      "the next four weeks": "las próximas cuatro semanas",
      "show location": "mostrar ubicación",
      "show ongoing events": "mostrar las fechas de ejecución"
    },
    plPl: {
      "time format": "format czasu",
      "12-hour": "12 godzin",
      "24-hour": "24 godzin",
      "display mode": "Tryb wyświetlania",
      "time period": "okres czasu",
      "event count": "liczba zdarzeń",
      "Choose a time period to display": "Wybierz okres wyświetlania",
      "Amount of events to display": "Ilość zdarzeń do wyświetlenia",
      "any number from 1-20": "dowolny numer od 1-20",
      today: "dzisiaj",
      "the next five days": "następne pięć dni",
      "the next four weeks": "następne cztery tygodnie",
      "show location": "pokaż lokalizację",
      "show ongoing events": "pokaż daty rozpoczęcia biegu"
    },
    koKr: {
      "time format": "시간 형식",
      "12-hour": "12 시간",
      "24-hour": "24 시간",
      "display mode": "디스플레이 모드",
      "time period": "기간",
      "event count": "사건 수",
      "Choose a time period to display": "표시 할 기간을 선택하십시오.",
      "Amount of events to display": "표시 할 이벤트의 양",
      "any number from 1-20": "1-20의 숫자",
      today: "오늘",
      "the next five days": "다음 5 일",
      "the next four weeks": "다음 4 주",
      "show location": "위치 표시",
      "show ongoing events": "진행중인 이벤트를 보여"
    }
  }
};
</script>
